package com.goldenwater.slaj.eutr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.eutr.mapper.BisEutrExamStraMapper;
import com.goldenwater.slaj.eutr.domain.BisEutrExamStra;
import com.goldenwater.slaj.eutr.service.IBisEutrExamStraService;

@Service
public class BisEutrExamStraServiceImpl implements IBisEutrExamStraService {
    @Autowired
    private BisEutrExamStraMapper bisEutrExamStraMapper;

    @Override
    public BisEutrExamStra selectBisEutrExamStraByGuid(String guid) {
        return bisEutrExamStraMapper.selectBisEutrExamStraByGuid(guid);
    }

    @Override
    public List<BisEutrExamStra> selectBisEutrExamStraList(BisEutrExamStra bisEutrExamStra) {
        return bisEutrExamStraMapper.selectBisEutrExamStraList(bisEutrExamStra);
    }

    @Override
    public int insertBisEutrExamStra(BisEutrExamStra bisEutrExamStra) {
        return bisEutrExamStraMapper.insertBisEutrExamStra(bisEutrExamStra);
    }

    @Override
    public int updateBisEutrExamStra(BisEutrExamStra bisEutrExamStra) {
        return bisEutrExamStraMapper.updateBisEutrExamStra(bisEutrExamStra);
    }

    @Override
    public int deleteBisEutrExamStraByGuid(String guid) {
        return bisEutrExamStraMapper.deleteBisEutrExamStraByGuid(guid);
    }

    @Override
    public int deleteBisEutrExamStraByGuids(String[] guids) {
        return bisEutrExamStraMapper.deleteBisEutrExamStraByGuids(guids);
    }
}
